data v.vis_db4aaa;
length pmc_flag $2.;
*s=standard, r=reported, a=regional average ratio;
set v.vis_db3aaa;
if site in ('060250005' '060250006') then do;
pmreg=7; 
pmregdesc='Southern California';
end;
if pm10l ne . then pmc_flag='R';
if pm10l =. and pm10s ne . then do;
pmc_flag='S';
 pm10l=pm10s*(298/temp)*(press/760);
end;
pmc_rep=round(pm10l-pm25,.1);

pm10calc=pm25/avg_pmf2pmt_rat;
pmc_avg=round(pm10calc-pm25,.1);
if pmc_rep=. then pmc_flag='A';
pmc=pmc_rep;
if pmc=. then pmc=pmc_avg;

IF PMC LT 0 THEN PMC=0;
array parts(5) OCM EC NITRATES SULFATES CRUSTAL;
do i=1 to 5;
if parts(i) lt 0 then parts(i)=0;
end;
REMASS=SUM(OF OCM, EC, NITRATES, SULFATES, CRUSTAL);

PM25_OCM=PM25*(OCM/REMASS);
PM25_EC=PM25*(EC/REMASS);
PM25_NITRATES=PM25*(NITRATES/REMASS);
PM25_SULFATES=PM25*(SULFATES/REMASS);
PM25_CRUSTAL=PM25*(CRUSTAL/REMASS);

EXTINCTION_REALRH=
(3*FRH*PM25_NITRATES) +
(3*FRH*PM25_SULFATES) +
(4*PM25_OCM) +
(10*PM25_EC) +
(PM25_CRUSTAL) +
(.6* PMC)
+10;

EXTINCTION_REALRH_avgc=
(3*FRH*PM25_NITRATES) +
(3*FRH*PM25_SULFATES) +
(4*PM25_OCM) +
(10*PM25_EC) +
(PM25_CRUSTAL) +
(.6* PMC_avg)
+10;

EXTINCTION_REALRH_nc=
(3*FRH*PM25_NITRATES) +
(3*FRH*PM25_SULFATES) +
(4*PM25_OCM) +
(10*PM25_EC) +
(PM25_CRUSTAL) +
+10;

EXTINCTION_REALRH_nc10=
(3*FRH*PM25_NITRATES) +
(3*FRH*PM25_SULFATES) +
(4*PM25_OCM) +
(10*PM25_EC) +
(PM25_CRUSTAL);

EXTINCTION_AVG10RH=
(3*FRH10AVG*PM25_NITRATES) +
(3*FRH10AVG*PM25_SULFATES) +
(4*PM25_OCM) +
(10*PM25_EC) +
(PM25_CRUSTAL) +
(.6* PMC)
+10;

EXTINCTION_AVG10RH_avgc=
(3*FRH10AVG*PM25_NITRATES) +
(3*FRH10AVG*PM25_SULFATES) +
(4*PM25_OCM) +
(10*PM25_EC) +
(PM25_CRUSTAL) +
(.6* PMC_avg)
+10;

EXTINCTION_AVG10RH_nc=
(3*FRH10AVG*PM25_NITRATES) +
(3*FRH10AVG*PM25_SULFATES) +
(4*PM25_OCM) +
(10*PM25_EC) +
(PM25_CRUSTAL)
+10;
if pm25 ge (.5*remass) and pm25 le (1.5*remass) then bounds=1;
if pmreg in (4 5 6 7) then ew='west';
if pmreg in (1 2 3) then ew='east';
*use cap;
*if rh ge 95 then extinction_realrh=.;
*IF diSTM_TO_MET LE 50;
*if distm_to_spec lt 1;
*IF (hr ge 10 and hr le 15);

run;
/*
proc sql; select distinct pmregdesc,site,q,count(*) from v.vis_db4 group by pmregdesc,site,q;
quit;
*/ 

proc sql; select distinct site,pmregdesc from v.vis_db4aaa order by pmregdesc,site;
quit;