
data met03 (keep=id lat lon sdate hr rh frh); 
set v.sfc03b;
if rh ne .;
if rh le 100;
run;

proc means noprint data=met03;
by id lat lon sdate;
var rh;
output out=day n=n mean=dayavg;
data daycut;
set day; 
if n ge 18;
data dayavg;
set daycut;
hr=24;
rh=dayavg;
drop n;
data met03b; set met03 dayavg;
proc sort data=met03b; by id sdate;
proc sql; create table v.met03_75p as select * from met03b a, daycut b where a.id=b.id and a.sdate=b.sdate
and n ge 18; quit;
proc sort; by id;
proc sort data=v.nws_state;
by id;
data v.met03_75p;
merge v.met03_75p v.nws_state; by id; if lat ne .;
if id='14822' then st='MI';
if id='26442' then st='AK';
statename=st;
lata=abs(lat);
	lona=abs(lon);
*	statename=fipstate(st);
	if statename in ('ME' 'NH' 'VT' 'DC' 'MA' 'RI' 'CT' 'NJ' 'DE') or
		(statename in ('MD' 'PA' 'NY' 'VA' 'WV') and lona lt 78.5) then PMREG=1;
	else if statename in ('NC' 'SC' 'TN' 'GA' 'FL' 'AL' 'MS' 'LA' 'AR') or
		(statename in ('OK' 'TX') and lona lt 97.7) then PMREG=2;
	else if statename in ('KY' 'OH' 'MI' 'IN' 'IL') or
		(statename in ('NY' 'PA' 'WV' 'VA') and lona gt 78.5) or
		(statename in ('WI' 'MN' 'IA' 'MO') and lona lt 91.5) then PMREG=3;
	else if statename in ('ND' 'SD' 'NE' 'KS') or 
		(statename in ('MN' 'WI' 'IA' 'MO') and lona gt 91.5) or
		(statename in ('CO') and lona lt 104.05) then PMREG=4;
	else if statename in ('NM' 'AZ') or
		(statename in ('OK' 'TX') and lona gt 97.7) or
		(statename in ('NV' 'CA') and lona lt 115.5 and lata lt 37) then PMREG=5;
	else if statename in ('WA' 'ID' 'MT' 'WY' 'UT' 'OR') or
		(statename in ('CO') and lona gt 104.05) or
		(statename in ('CA' 'NV') and lata gt 37) then PMREG=6;
	else if statename in ('CA' 'NV') and lata lt 37 and lona gt 115.5 then PMREG=7;
		else PMREG=0;
	if pmreg = 0 then PMREGDESC='Not in PMREG Region';
	else if pmreg=1 then PMREGDESC='Northeast';
	else if pmreg=2 then PMREGDESC='Southeast';
	else if pmreg=3 then PMREGDESC='Industrial Midwest';
	else if pmreg=4 then PMREGDESC='Upper Midwest';
	else if pmreg=5 then PMREGDESC='Southwest';
	else if pmreg=6 then PMREGDESC='Northwest';
	else if pmreg=7 then PMREGDESC='Southern California';
	drop lata lona;
if pmreg in (4 5 6 7) then ew='west';
else if pmreg in (1 2 3) then ew='east';
else delete;
run;
proc sort; by ew hr;
GOPTIONS reset=all dev=cgmflwa
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=2 v=none;
axis1 label=none offset=(2) order=(0 to 24 by 1) minor=none;
*axis1 label=none value=none order=( 1 to 8 by 1) offset=(5) minor=none;
axis2 label=none order=(0 to 100 by 10) c=black;
run;
filename gsasfile "d:\visibility\box_rh03.cgm";

proc gplot data=v.met03_75p;
by ew;
plot rh * hr /
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
href=(23.5)
haxis=axis1
vaxis=axis2;
run;
quit;

run;
proc sql; create table all as select distinct ew,id,sdate,dayavg as rh from v.met03_75p where pmreg ne 0; quit;
data all2; set all;
if ew='west' then level=1;
else if ew='east' then level=2;
data ten4;
set v.met03_75p;
if hr ge 10 and hr le 15;
if pmreg ne 0;
region=ew; 
proc sort; by ew id sdate;
proc means noprint; 
var rh;
by ew id sdate;
output out=ten4tab mean=rh n=n;
data ten4tab2; set ten4tab; if n ge 4;
if ew='west' then level=3;
else if ew='east' then level=4;
else delete;
run;
data twelv4;
set v.met03_75p;
if hr ge 12 and hr le 15;
if pmreg ne 0;
region=ew; 
proc sort; by ew id sdate;
proc means noprint; 
var rh;
by ew id sdate;
output out=twelv4tab mean=rh n=n;
data twelv4tab2; set twelv4tab; if n ge 3;
if ew='west' then level=5;
else if ew='east' then level=6;
else delete;
run;
data twelv4tab270; set twelv4tab; 
if rh lt 70;
if n ge 3;
if ew='west' then level=7;
else if ew='east' then level=8;
else delete;
run;
data aaa; set all2 ten4tab2 twelv4tab2 twelv4tab270;
run;
data aaa2; set aaa;
rh=round(rh,1);
if rh le 36 then frh=1;
else if rh = 37 then frh=1.02;
else if rh = 38 then frh=1.04;
else if rh = 39 then frh=1.06;
else if rh = 40 then frh=1.08;
else if rh = 41 then frh=1.1;
else if rh = 42 then frh=1.13;
else if rh = 43 then frh=1.15;
else if rh = 44 then frh=1.18;
else if rh = 45 then frh=1.2;
else if rh = 46 then frh=1.23;
else if rh = 47 then frh=1.26;
else if rh = 48 then frh=1.28;
else if rh = 49 then frh=1.31;
else if rh = 50 then frh=1.34;
else if rh = 51 then frh=1.37;
else if rh = 52 then frh=1.41;
else if rh = 53 then frh=1.44;
else if rh = 54 then frh=1.47;
else if rh = 55 then frh=1.51;
else if rh = 56 then frh=1.54;
else if rh = 57 then frh=1.58;
else if rh = 58 then frh=1.62;
else if rh = 59 then frh=1.66;
else if rh = 60 then frh=1.7;
else if rh = 61 then frh=1.74;
else if rh = 62 then frh=1.79;
else if rh = 63 then frh=1.83;
else if rh = 64 then frh=1.88;
else if rh = 65 then frh=1.93;
else if rh = 66 then frh=1.98;
else if rh = 67 then frh=2.03;
else if rh = 68 then frh=2.08;
else if rh = 69 then frh=2.14;
else if rh = 70 then frh=2.19;
else if rh = 71 then frh=2.25;
else if rh = 72 then frh=2.31;
else if rh = 73 then frh=2.37;
else if rh = 74 then frh=2.43;
else if rh = 75 then frh=2.5;
else if rh = 76 then frh=2.56;
else if rh = 77 then frh=2.63;
else if rh = 78 then frh=2.7;
else if rh = 79 then frh=2.78;
else if rh = 80 then frh=2.86;
else if rh = 81 then frh=2.94;
else if rh = 82 then frh=3.03;
else if rh = 83 then frh=3.12;
else if rh = 84 then frh=3.22;
else if rh = 85 then frh=3.33;
else if rh = 86 then frh=3.45;
else if rh = 87 then frh=3.58;
else if rh = 88 then frh=3.74;
else if rh = 89 then frh=3.93;
else if rh = 90 then frh=4.16;
else if rh = 91 then frh=4.45;
else if rh = 92 then frh=4.84;
else if rh = 93 then frh=5.37;
else if rh = 94 then frh=6.16;
else if rh ge 95 then frh=7.4;
if frh=. then delete;
run;

proc sort; by level;
GOPTIONS reset=all dev=cgmflwa
GACCESS = GSASFILE ROTATE = LANDSCAPE colors=(black);
symbol i=box05t bwidth=5 v=none;
axis1 label=none offset=(2) order=(0 to 24 by 1) minor=none;
*axis1 label=none value=none order=( 1 to 8 by 1) offset=(5) minor=none;
axis2 label=none order=(0 to 100 by 10) c=black;
run;
filename gsasfile "d:\visibility\box_rh03.cgm";

proc gplot data=aaa2;
by ew;
plot rh * hr /
vref=(10 20 30 40 50 60 70 80 90)
lvref=3
haxis=axis1
vaxis=axis2;
run;
quit;

proc univariate data=aaa2 noprint;
by level;
var rh;
output out=frhtab mean=mean median=median q3=p75 q1=p25 p95=p95 p5=p05 n=n;
run;