data tempa; set v.vis_db4aaa;
*if bounds=1;
if pmreg=1 then pmregdesc='Ane';
else if pmreg=2 then pmregdesc='Bse';
else if pmreg=3 then pmregdesc='Cim';
else if pmreg=4 then pmregdesc='Dum';
else if pmreg=5 then pmregdesc='Esw';
else if pmreg=6 then pmregdesc='Fnw';
else if pmreg=7 then pmregdesc='Gsc';
else delete;

run;
/*proc sort data=tempa;by pmreg site hr;
proc means noprint;
by pmreg site hr;
var rh;
output out=rhtab var=variance mean=mean;
proc sort;by  descending variance;
run;
*/
data tempb; set tempa; pmregdesc='ZzTotal';
data tempc; set tempa; pmregdesc='Z'||compress(ew);
data temp; set tempa tempb tempc;
proc sort; BY pmregdesc /*site*/ hr;
ods output fitstatistics=fs parameterestimates=pe anova=nn;
*ods trace on/listing;
proc reg data=temp;
by pmregdesc /*site*/ hr;
model extinction_avg10rh=pm25;
*model extinction_avg10rh_avgc=pm25;
*model extinction_avg10rh_nc=pm25;
*model extinction_realrh=pm25;
*model meanavg=meanpm25;
run;
quit;
data pe2 (keep=pmregdesc /*site*/ hr intercept slope); set pe;
retain intercept;
if variable='Intercept' then intercept=estimate;
/*if variable='MEANPM25' then do; slope=estimate; output; end;*/
if variable='pm25' then do; slope=estimate; output; end;
run;
data fs2 (keep=pmregdesc /*site*/ hr rsquare); set fs;
if label2='R-Square';
rsquare=cvalue2;
data nn2 (keep=pmregdesc /*site*/ hr n); set nn;
if source='Corrected Total' then do;
n=df+1;
output;
end;
run;

data alltemp; merge pe2 fs2 nn2;
by pmregdesc /*site*/ hr;
FRH='real';
*handle95='cap';
run;
ODS _ALL_ CLOSE;
ods listing;
run;

PROC SORT data=temp; BY pmregdesc /*site*/ hr;
PROC MEANS data=temp NOPRINT;
BY pmregdesc /*site*/ hr;
VAR EXTINCTION_avg10rh_nc PM25 rh10avg frh10avg pmc_rep;
OUTPUT OUT=TAB MEAN=MEANx MEANPM25 meanrh meanfrh pmc_rep
N= n1-n7;
RUN;

data it; * (keep=pmregdesc /*site*/ hr rsquare); merge alltemp tab; by pmregdesc /*site*/ hr;
col='slope & rsquare';
*if pmregdesc='Southwest';

run;
quit;

data pmc (keep=hr pmregdesc pmc_rep); set it;
proc sort;by hr pmregdesc;
proc transpose out=tranr;
by hr;
var pmc_rep;
id pmregdesc;
run;

data r (keep=hr pmregdesc rsquare); set it;
proc sort;by hr pmregdesc;
proc transpose out=tranr;
by hr;
var rsquare;
id pmregdesc;
run;

data s (keep=hr pmregdesc slope); set it;
proc sort;by hr pmregdesc;
proc transpose out=trans;
by hr;
var slope;
id pmregdesc;
run;

data p (keep=hr pmregdesc meanpm25); set it;
proc sort;by hr pmregdesc;
proc transpose out=tranp;
by hr;
var meanpm25;
id pmregdesc;
run;

data f (keep=hr pmregdesc meanfrh); set it;
proc sort;by hr pmregdesc;
proc transpose out=tranf;
by hr;
var meanfrh;
id pmregdesc;
run;

data rh (keep=hr pmregdesc meanrh); set it;
proc sort;by hr pmregdesc;
proc transpose out=tranrh;
by hr;
var meanrh;
id pmregdesc;
run;

