*get hourly pm to match speciation time period;
data hour02 (keep=site poc lat long zdate hr q value method);
set v.P88101_02;
if zdate ge mdy(4,1,2002);
if method not in ('740' '741');
lat=latitude;
long=longitude;
v=value;
if q ne 1;
if hr ge 7 and hr le 19;

data hour03(keep=site poc lat long zdate hr q value method);
set v.P88101_03;
if method not in ('740' '741');
if zdate le mdy(3,31,2003);
lat=latitude;
long=longitude;
v=value;
if q =1;
if hr ge 7 and hr le 19;
run;

data hour1year;
set hour02 hour03;
run;

proc sort; by site poc q zdate;
proc means noprint;
by site poc q zdate;
var value;
output out=day n=numhr;
data day75; set day; if numhr ge 9;
proc means noprint;
by site poc q;
var numhr;
output out=quart n=numday;
data q75; set quart; if numday ge 67;
proc means noprint;
by site poc;
var numday;
output out=year n=numq;
data allq; set year; if numq=4;
proc sort; by site poc;
data prim; set allq;
by site poc;
if first.site;
run;

data v.pm_daytime;
merge prim hour1year;
by site poc;
*if numq=4;
drop _type_ _freq_;
run;

*get active AQS sites;
proc sql; create table aqssites as select distinct cc_cn_stt_state_code as st,
cc_cn_county_code as cou, site_id as id,site_latitude as lat, site_longitude*-1 as long
from aqs.sites where site_terminated_date = .;
data aqssites (keep=site lat long); set aqssites;
site=trim(st)||trim(cou)||trim(id);
run;
*match to cont;
proc sql; create table primlatlong as select distinct a.site,lat,long from prim a, aqssites b
where a.site=b.site;
quit; 

*NWS sites.... data from Cox;
proc sql; create table met02 as select distinct id,lat as lat2,lon as long2 from v.sfc02b where rh ne .;
create table met03 as select distinct id,lat as lat2,lon as long2 from v.sfc03b where rh ne .;
quit;

*match hourly with met;
*sql cartesian join to get all combos;
*2002 and 2003 separate because only partial met file for 2003 - do one at time;
proc sql; create table bothlatlon as select distinct site,id,lat,lat2,long,long2 
from primlatlong,met03; quit;

*calculate distance.... from Fitz;
data cart; set bothlatlon;
rp=6356.912;d=21.476;
latR=lat*arcos(-1)/180;
longR=long*arcos(-1)/180;
latR2=lat2*arcos(-1)/180;
longR2=long2*arcos(-1)/180;

*Polar radius of earth with difference between polar & eq;
 r=d*(cos(latR2)+cos(latR))*.5+rp;* average radius (km);
 d=arcos(cos(latR2)*cos(longR2)*cos(latr)*cos(longR)+cos(latR2)
 *sin(longR2)*cos(latR)*sin(longR)
 + sin(latR2)*sin(latR))*r;* distance in km;
proc sort data=cart; by site D;
run;
*get closest;

data close2003 (keep=site id03 distm_to_met03); set cart; by site D;
if first.site then do;
id03=id;
distm_to_met03=round(d*.62137,.01);
output;
end;
run;
/*
data close2002 (keep=site id02 distm_to_met02); set cart; by site D;
if first.site then do;
id02=id;
distm_to_met02=round(d*.62137,.01);
output;
end;
run;
*/
data v.closest_met_to_cont;
merge close2002 close2003; by site;
run;



*match hourly pm with speciation;
data spec; set v.Espnfeb17;
lat=latitude;
long=longitude;
site=put(airs_site_code,z9.);
spec=1;
drop latitude longitude airs_site_code;
run;
proc sort; by site;

*get closest spec site for hourly;
data spec2;
set spec; 
lat2=lat+.00001;
long2=-1*(long+.00001);
specsite=site;
drop lat long site;
run;

*sql cartesian join to get all combos;
proc sql; create table bothlatlon as select distinct site,specsite,msa_name,lat,lat2,long,long2
from primlatlong,spec2; quit;

*calculate distance.... from Fitz;
data cart; set bothlatlon;
rp=6356.912;d=21.476;
latR=lat*arcos(-1)/180;
longR=long*arcos(-1)/180;
latR2=lat2*arcos(-1)/180;
longR2=long2*arcos(-1)/180;

*Polar radius of earth with difference between polar & eq;
 r=d*(cos(latR2)+cos(latR))*.5+rp;* average radius (km);
 d=arcos(cos(latR2)*cos(longR2)*cos(latr)*cos(longR)+cos(latR2)
 *sin(longR2)*cos(latR)*sin(longR)
 + sin(latR2)*sin(latR))*r;* distance in km;
proc sort data=cart; by site D;
run;
*get closest;
data v.closest_spec_to_cont (keep=site specsite distm_to_spec msa_name); set cart; by site D;
if first.site then do;
distm_to_spec=round(d*.62137,.01);
if distm_to_spec lt 50;
output;
end;

proc sort; by site;
data v.closest_spec_and_met_to_cont;
merge v.closest_met_to_cont v.closest_spec_to_cont; by site;
if distm_to_spec ne .;
run;
