*get hourly pm to match speciation time period;
libname pmc 'D:\PM NAAQS\summer04\coarse';
libname pmr 'F:\aqtag\PMBooklet\Data';
libname staff 'd:\pm naaqs\summer04';
*get hourly pm to match speciation time period;
data hour03 (keep=site poc zdate hr q value method);
set pmc.P88101h_0103;
hr=sample_start_hour;
zdate=sdate;
if method not in ('740' '741');
*if hr ge 7 and hr le 18;
run;
proc sort; by site poc q zdate;
proc means noprint;
by site poc q zdate;
var value;
output out=day n=numhr;
data day75; set day; if numhr ge 9;
proc means noprint;
by site poc q;
var numhr;
output out=quart n=numday;
data q75; set quart; if numday ge 67;
proc means noprint;
by site poc;
var numday;
output out=year n=numq;
data allq; set year; if numq=4;
proc sort; by site poc;
data prim; set allq;
by site poc;
if first.site;
run;

data v.pm_daytime;
merge prim hour03;
by site poc;
*if numq=4;
drop _type_ _freq_;
run;

*get active AQS sites;
proc sql; create table aqssites as select distinct cc_cn_stt_state_code as st,
cc_cn_county_code as cou, site_id as id,site_latitude as lat, site_longitude as long
from aqs.sites where site_terminated_date = .;
data aqssites (keep=site lat long); set aqssites;
site=trim(st)||trim(cou)||trim(id);
run;
*match to cont;
proc sql; create table primlatlong as select distinct a.site,lat,long from prim a, aqssites b
where a.site=b.site;
quit; 

*NWS sites.... data from Cox;
proc sql; create table met03 as select distinct id,lat as lat2,-1*lon as long2 from v.sfc03b where rh ne .;
quit;

*match hourly with met;
*sql cartesian join to get all combos;
proc sql; create table bothlatlon as select distinct site,id,lat,lat2,long,long2 
from primlatlong,met03; quit;

*calculate distance.... from Fitz;
data cart; set bothlatlon;
rp=6356.912;d=21.476;
latR=lat*arcos(-1)/180;
longR=long*arcos(-1)/180;
latR2=lat2*arcos(-1)/180;
longR2=long2*arcos(-1)/180;

*Polar radius of earth with difference between polar & eq;
 r=d*(cos(latR2)+cos(latR))*.5+rp;* average radius (km);
 d=arcos(cos(latR2)*cos(longR2)*cos(latr)*cos(longR)+cos(latR2)
 *sin(longR2)*cos(latR)*sin(longR)
 + sin(latR2)*sin(latR))*r;* distance in km;
proc sort data=cart; by site D;
run;
*get closest;

data close2003 (keep=site id03 distm_to_met03); set cart; by site D;
if first.site then do;
id03=id;
distm_to_met03=round(d*.62137,.01);
output;
end;
run;
data v.closest_met_to_cont3;
set close2003;
run;


*match hourly pm with speciation;
data espn03;
set v.espn03;
if ocm ne . and ec ne . and crustal ne . and ammonium_nitrate ne . and ammonium_sulfate ne .;
run;
proc sql; create table spec as select distinct a.site,pmreg,pmregdesc,b.lat,b.long from espn03 a, pmr.meta b where a.site=b.site;
quit; 
*get closest spec site for hourly;
data spec2;
set spec; 
spec=1;
lat2=lat+.00001;
long2=long+.0000;
specsite=site;
drop site lat long;
run;

*sql cartesian join to get all combos;
proc sql; create table bothlatlon as select distinct site,specsite,lat,lat2,long,long2
from primlatlong,spec2; quit;

*calculate distance.... from Fitz;
data cart; set bothlatlon;
rp=6356.912;d=21.476;
latR=lat*arcos(-1)/180;
longR=long*arcos(-1)/180;
latR2=lat2*arcos(-1)/180;
longR2=long2*arcos(-1)/180;

*Polar radius of earth with difference between polar & eq;
 r=d*(cos(latR2)+cos(latR))*.5+rp;* average radius (km);
 d=arcos(cos(latR2)*cos(longR2)*cos(latr)*cos(longR)+cos(latR2)
 *sin(longR2)*cos(latR)*sin(longR)
 + sin(latR2)*sin(latR))*r;* distance in km;
proc sort data=cart; by site D;
run;
*get closest;
data v.closest_spec_to_cont3 (keep=site specsite distm_to_spec msa_name); set cart; by site D;
if first.site then do;
distm_to_spec=round(d*.62137,.01);
if distm_to_spec lt 50;
output;
end;
run;
proc sort; by site;
data v.closest_spec_and_met_to_cont3;
merge v.closest_met_to_cont3 v.closest_spec_to_cont3; by site;
if distm_to_spec ne .;
run;
