libname x 'd:\pmdv';

data spec (keep=specsite ocm ec crustal sulfates nitrates zdate); 
set v.espn03 (rename =(ammonium_nitrate=nitrates ammonium_sulfate=sulfates zdate=ztime));
if ocm ne . and ec ne . and crustal ne . and nitrates ne . and sulfates ne .;
if site='530330048' then site='530330038';
if site='720610005' then delete;
rename site=specsite;
zdate=datepart(ztime);
run;

data list ;*(keep= site specsite id02 id03); set v.Closest_spec_and_met_to_cont3;
st=substr(site,1,2);
cou=substr(site,3,3);
proc sort; by st cou;
proc sort data=x.cbsa_reference;
by st cou;
data list2; merge x.cbsa_reference (keep=cbsa_name csa_name st cou) list; by st cou;
if specsite ne ' ';
if cbsa_name ne ' ';
run;
data met03 (keep=id hr zdate rh temp press);
set v.sfc03b (rename=(sdate=zdate));
*if hr ge 7 and hr le 18;
format zdate mmddyy10.;
temp=5/9*(t_fah-32)+273.15;
press=stnpr/1.33322;
run;

data y10met (keep=idclose month hr frh10avg rh10avg); set v.years10rhc; 
frh10avg=frh;
rh10avg=rh;
idclose=site_id;
hr=hour;
*if hr ge 7 and hr le 18;
run;
proc sort; by idclose month hr;

data cont (keep=site pm25 zdate hr lat long); set v.Pm_daytime;
*if hr ge 7 and hr le 18;
if value ne .;
pm25=value;
if method not in ('740' '741');
run;

proc sort data =cont; by site;
proc sort data=list2; by site ;
data a0; merge cont list2; by site;
if specsite ne ' ';
idclose=id03;
proc sort; by specsite zdate;
proc sort data=spec; by specsite zdate;
data a1; merge a0 spec; by specsite zdate;
if crustal ne . and pm25 ne .;
year=year(zdate);
proc sort; by id03 zdate hr;
proc sort data =met03; by id zdate hr;
data a2a; merge a1 (rename=(id03=id distm_to_met03=distm_to_met)) met03;
by id zdate hr;
if pm25 ne .;
data a2; set a2a;
month=month(zdate);
proc sort; by idclose month hr;
data all; merge a2 y10met; by idclose month hr;
if crustal ne . and pm25 ne .;
q=qtr(zdate);
run;

proc sort data=a2; by site zdate hr;
run;


data v.vis_dbaaa; set all;
if rh=. and frh10avg=. then delete;
else if rh le 36 then frh=1;
else if rh = 37 then frh=1.02;
else if rh = 38 then frh=1.04;
else if rh = 39 then frh=1.06;
else if rh = 40 then frh=1.08;
else if rh = 41 then frh=1.1;
else if rh = 42 then frh=1.13;
else if rh = 43 then frh=1.15;
else if rh = 44 then frh=1.18;
else if rh = 45 then frh=1.2;
else if rh = 46 then frh=1.23;
else if rh = 47 then frh=1.26;
else if rh = 48 then frh=1.28;
else if rh = 49 then frh=1.31;
else if rh = 50 then frh=1.34;
else if rh = 51 then frh=1.37;
else if rh = 52 then frh=1.41;
else if rh = 53 then frh=1.44;
else if rh = 54 then frh=1.47;
else if rh = 55 then frh=1.51;
else if rh = 56 then frh=1.54;
else if rh = 57 then frh=1.58;
else if rh = 58 then frh=1.62;
else if rh = 59 then frh=1.66;
else if rh = 60 then frh=1.7;
else if rh = 61 then frh=1.74;
else if rh = 62 then frh=1.79;
else if rh = 63 then frh=1.83;
else if rh = 64 then frh=1.88;
else if rh = 65 then frh=1.93;
else if rh = 66 then frh=1.98;
else if rh = 67 then frh=2.03;
else if rh = 68 then frh=2.08;
else if rh = 69 then frh=2.14;
else if rh = 70 then frh=2.19;
else if rh = 71 then frh=2.25;
else if rh = 72 then frh=2.31;
else if rh = 73 then frh=2.37;
else if rh = 74 then frh=2.43;
else if rh = 75 then frh=2.5;
else if rh = 76 then frh=2.56;
else if rh = 77 then frh=2.63;
else if rh = 78 then frh=2.7;
else if rh = 79 then frh=2.78;
else if rh = 80 then frh=2.86;
else if rh = 81 then frh=2.94;
else if rh = 82 then frh=3.03;
else if rh = 83 then frh=3.12;
else if rh = 84 then frh=3.22;
else if rh = 85 then frh=3.33;
else if rh = 86 then frh=3.45;
else if rh = 87 then frh=3.58;
else if rh = 88 then frh=3.74;
else if rh = 89 then frh=3.93;
else if rh = 90 then frh=4.16;
else if rh = 91 then frh=4.45;
else if rh = 92 then frh=4.84;
else if rh = 93 then frh=5.37;
else if rh = 94 then frh=6.16;
else if rh ge 95 then frh=7.4;
if pm25 gt 0; 
if pm25 lt 200;
q=qtr(zdate);
run;
proc sort; by site zdate hr;
run;



/*
proc sql; create table b as select distinct site,q,zdate from v.vis_dba;
create table c as select distinct site,q,count(*) as ct from b group by site,q;
data d; set c;
qc='q'||put(q,1.0);
proc transpose data=d out=tranny; by site;
var ct; id qc;
run;
data tranny2; set tranny;
if q1 ge 11 and q2 ge 11 and q3 ge 11 and q4 ge 11;
comp=1;
run;
data v.vis_dba; merge tranny2 v.vis_dba; by site; 
run;
*/